Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Arc

[frames | no frames]

## Class Arc

           DrawObject --+
                        |
    LineOnlyMixin --+   |
                    |   |
     LineAndFillMixin --+
                        |
        XYObjectMixin --+
                        |
                       Arc

Method Summary
| ``__init__`(self, StartXY, EndXY, CenterXY, LineColor, LineStyle, LineWidth, FillColor, FillStyle, InForeground)` Draws an arc of a circle, centered on point CenterXY, from the first point (StartXY) to the second (EndXY).
| `CalcBoundingBox(self)`
| ``Move`(self, Delta)` Move(Delta): moves the object by delta, where delta is a (dx,dy) pair.

Class Variable Summary

Method Details

### __init__(self, StartXY, EndXY, CenterXY, LineColor='Black', LineStyle='Solid', LineWidth=1, FillColor=None, FillStyle='Solid', InForeground=False)
(Constructor)

Draws an arc of a circle, centered on point CenterXY, from the first point (StartXY) to the second (EndXY).

The arc is drawn in an anticlockwise direction from the start point to the end point.

Parameters:
  StartXY : start point EndXY : end point CenterXY: center point LineColor = "Black", LineStyle = "Solid", LineWidth = 1, FillColor = None, FillStyle = "Solid", InForeground = False):

  Overrides:
    `wx.lib.floatcanvas.FloatCanvas.DrawObject.__init__`

### Move(self, Delta)

Move(Delta): moves the object by delta, where delta is a (dx,dy) pair. Ideally a Numpy array of shape (2,)

  Overrides:
    `wx.lib.floatcanvas.FloatCanvas.XYObjectMixin.Move`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:40 2009 | http://epydoc.sf.net